Package com.orchestranetworks.userservice.declaration

# Interface WebComponentParameter

public interface WebComponentParameter
Specifies a parameter that can be used in the HTTP invocation of a Web component.

Since:
  5.8.0
See Also:
  - `WebComponentDeclarationContext`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UserMessage`
  `getDescription()`
  Returns the description of the parameter.
  `UserMessage`
  `getLabel()`
  Returns the label of the parameter.
  `String`
  `getName()`
  Returns the name of the parameter.
  `boolean`
  `isInput()`
  Returns whether the parameter is an input parameter.
  `boolean`
  `isOutput()`
  Returns whether the parameter is an output parameter.
  `void`
  `setDescription(UserMessage description)`
  Sets the description of the parameter.
  `void`
  `setInput(boolean input)`
  Enables or disables the parameter as an input parameter.
  `void`
  `setLabel(UserMessage label)`
  Sets the label of the parameter.
  `void`
  `setOutput(boolean output)`
  Enables or disables the parameter as an output parameter.

- ## Method Details

  - ### getName

    String getName()
    Returns the name of the parameter.

  - ### getLabel

    UserMessage getLabel()
    Returns the label of the parameter.

  - ### setLabel

    void setLabel(UserMessage label)
    Sets the label of the parameter.

  - ### getDescription

    UserMessage getDescription()
    Returns the description of the parameter.

  - ### setDescription

    void setDescription(UserMessage description)
    Sets the description of the parameter.

  - ### isInput

    boolean isInput()
    Returns whether the parameter is an input parameter.

  - ### setInput

    void setInput(boolean input)
    Enables or disables the parameter as an input parameter.

  - ### isOutput

    boolean isOutput()
    Returns whether the parameter is an output parameter.

  - ### setOutput

    void setOutput(boolean output)
    Enables or disables the parameter as an output parameter.